Model MatchHelp

CRM

Add many members to a list

postapi.modelmatch.com/v1/crm/lists/{id}/members/bulk

Authorization

x-api-keystringrequired

API key or OAuth token. See Authentication.

Path parameters

idstringrequired

Body application/json

grantRecordAccessUserIdsstring[]
membersobject[]required
Show child attributes
companystring
companyTypestring
contactsobject[]
Show child attributes
isPrimaryboolean
kindenumrequired
Options:phoneemailsocialaddresswebsitefacebooklinkedinxzillowrealtoryoutubeinstagram
labelstring | null
valuenull
displayobjectrequired
Show child attributes
branchNamestring
branchNmlsIdstring
cbsaCodestring
citystring
companyNamestring
companyNmlsIdstring
contactCheckedAtnumber
countystring
countyFipsstring
locationstring
namestringrequired
statestring
subtitlestring
unitsnumber
volumenumber
zipstring
entityIdstringrequired
entityTypeenumrequired
Options:loagentcompanybranch
linkobject | null
Show child attributes
entityIdstringrequired
mmaIdstring
nmlsIdstring
propertyIdstring
sourceenumrequired
Options:mmmanual
titlestring
noteobject
Show child attributes
bodystringrequired
bodyHtmlstring | null
ownerUserIdstring
statusstring

Responses

200objectCounts + the ids newly added.
Show attributes
dataobjectrequired
Show child attributes
addednumberrequired
addedEntityIdsstring[]required
createdEntityIdsstring[]required
enrichJobIdstring
totalnumberrequired
400objectValidation error
401objectUnauthorized
403objectForbidden (authenticated, but missing required context — e.g. no active organization)
404objectNot found
413objectResponse payload too large — detail endpoint capped to fit Lambda response limits
503objectSearch timed out or the cluster is overloaded — retry after `Retry-After` seconds.